package edu.fauser.netlab;

import javax.ejb.Stateful;

@Stateful(name = "LinguaEJB")
public class LinguaBean {
    private String lingua;
    public LinguaBean() {
        setLingua("ITA");
    }

    public String getLingua() {
        return lingua;
    }

    public void setLingua(String lingua) {
        if (lingua.equals("ITA") || lingua.equals("ENG") || lingua.equals("FRA"))
            this.lingua = lingua;
        else
            this.lingua = "ITA";
    }
    public String getMessaggioScelta() {
        String msg = null;
        switch (lingua) {
            case "ITA":
                msg = "In quale lingua vuoi visualizzare il contenuto delle pagine?";
                break;
            case "ENG":
                msg = "In which language do you want to view the content of the pages?";
                break;
            case "FRA":
                msg = "Dans quelle langue souhaitez-vous afficher le contenu des pages?";
                break;
        }
        return msg;
    }

    public String getBenvenuto() {
        String msg = null;
        switch (lingua) {
            case "ITA":
                msg = "Benvenuto, caro utente";
                break;
            case "ENG":
                msg = "Welcome, dear user";
                break;
            case "FRA":
                msg = "Bienvenue, cher utilisateur";
                break;
        }
        return msg;
    }

    public String getTitolo() {
        String msg = null;
        switch (lingua) {
            case "ITA":
                msg = "Aforisma";
                break;
            case "ENG":
                msg = "Aphorism";
                break;
            case "FRA":
                msg = "Aphorisme";
                break;
        }
        return msg;
    }

    public String getAforisma() {
        String msg = null;
        switch (lingua) {
            case "ITA":
                msg = "Fai del resto della tua vita il meglio della tua vita.";
                break;
            case "ENG":
                msg = "Make the rest of your life the best of your life.";
                break;
            case "FRA":
                msg = "Tirez du reste de votre vie le meilleur parti de votre vie.";
                break;
        }
        return msg;
    }
}
